package com.sdtool.common.entity.base;

import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;
import org.rex.db.RColumn;

/**
 * Created by jlutt on 2021-03-24
 * 业务数据账套
 * @author jlutt
 */
@SuppressWarnings("unused")
public class BusinessBookPeriod extends BaseEntity {

    @Comment("id")
    @RColumn("id")
    private long id;

    @Comment("账套名称")
    @RColumn("bookname")
    private String bookName;

    @Comment("账套开始时间")
    @RColumn("begintimelong")
    @ApiPlace("/order/v1/transferToBookPeriod")
    private long beginTimeLong;

    @Comment("账套结束时间")
    @RColumn("endtimelong")
    @ApiPlace("/order/v1/transferToBookPeriod")
    private long endTimeLong;

    @Comment("账套key--对应表名后缀")
    @RColumn("bookkey")
    private String bookKey;

    @Comment("账套说明")
    @RColumn("bookmemo")
    @ApiPlace("/order/v1/transferToBookPeriod")
    private String bookMemo;

    @Comment("创建人")
    @RColumn("createman")
    private String createMan;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public long getBeginTimeLong() {
        return beginTimeLong;
    }

    public void setBeginTimeLong(long beginTimeLong) {
        this.beginTimeLong = beginTimeLong;
    }

    public long getEndTimeLong() {
        return endTimeLong;
    }

    public void setEndTimeLong(long endTimeLong) {
        this.endTimeLong = endTimeLong;
    }

    public String getBookKey() {
        return bookKey;
    }

    public void setBookKey(String bookKey) {
        this.bookKey = bookKey;
    }

    public String getBookMemo() {
        return bookMemo;
    }

    public void setBookMemo(String bookMemo) {
        this.bookMemo = bookMemo;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan;
    }
}
